# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    Internals
%define upstream_version 1.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt7_25

Summary:	Write-protect variables, manipulate refcounts
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
Source44: import.info


%description
This module allows you to write-protect and write-enable your Perl
variables, objects and data structures.

Moreover, the reference count of any Perl variable can be read and set.

You can never pass the object directly on which to perform the desired
action, you always have to pass a reference to the variable or data
structure in question.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%makeinstall_std

%files
%doc README.txt Artistic.txt GNU_GPL.txt CHANGES.txt
%perl_vendor_archlib/Internals.pm
%perl_vendor_archlib/auto/Internals


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 1.1-alt7_25
- update by mgaimport

* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt7_24
- rebuild to get rid of unmets

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 1.1-alt6_24
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt6_23
- update by mgaimport

* Mon Jul 05 2021 Igor Vlasenko <viy@altlinux.org> 1.1-alt6_22
- update by mgaimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt6_21
- rebuild to get rid of unmets

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt5_21
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.1-alt4_21
- rebuild with perl 5.30

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 1.1-alt3_21
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.1-alt3_20
- update by mgaimport

* Wed Sep 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.1-alt3_19
- update by mgaimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt3_18
- rebuild to get rid of unmets

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.1-alt2_18
- update by mgaimport

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> 1.1-alt2_17
- update by mgaimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.1-alt2_16
- rebuild with perl 5.26

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_16
- update by mgaimport

* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_15
- update by mgaimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_14
- update by mgaimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt6_13
- rebuild to get rid of unmets

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 1.1-alt5_13
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 1.1-alt5_12
- update by mgaimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt5_11
- rebuild to get rid of unmets

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 1.1-alt4_11
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt4_10
- update by mgaimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt4_9
- rebuild to get rid of unmets

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt3_9
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt3_8
- rebuild to get rid of unmets

* Tue Jun 03 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt2_8
- update by mgaimport

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt2_7
- mga update

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 1.1-alt2_6
- rebuild with new perl

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_6
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_4
- converted for ALT Linux by srpmconvert tools

